Community Packages

Please read this before reporting a bug:

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!

FS#34091 - [CouchDB] incompatible with recent Erlang upgrade

Attached to Project: Community Packages
Opened by Murphy McMahon (pandeiro) - Friday, 01 March 2013, 17:32 GMT
Last edited by Sergej Pupykin (sergej) - Friday, 22 March 2013, 11:35 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Sergej Pupykin (sergej)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No


Description: CouchDB doesn't support/build with current version of Erlang (R16B)

Additional info:
* versions: couchdb-1.2.1-2

Steps to reproduce:
- Build CouchDB and the following error output results (truncated):

make[3]: Entering directory `/home/mu/couchdb/couchdb/src/apache-couchdb-1.2.1/src/etap'
/usr/bin/erlc etap_request.erl
etap_request.erl:26: parameterized modules are no longer supported
etap_request.erl:49: variable 'OutBody' is unbound
etap_request.erl:56: variable 'Method' is unbound
etap_request.erl:59: variable 'Url' is unbound
etap_request.erl:62: variable 'Status' is unbound
etap_request.erl:66: variable 'Status' is unbound
etap_request.erl:71: variable 'Status' is unbound
etap_request.erl:75: variable 'OutHeaders' is unbound
etap_request.erl:79: variable 'OutHeaders' is unbound
etap_request.erl:83: variable 'OutHeaders' is unbound
etap_request.erl:89: variable 'OutBody' is unbound
make[3]: *** [etap_request.beam] Error 1
make[3]: Leaving directory `/home/mu/couchdb/couchdb/src/apache-couchdb-1.2.1/src/etap'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/mu/couchdb/couchdb/src/apache-couchdb-1.2.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/mu/couchdb/couchdb/src/apache-couchdb-1.2.1'
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
This task depends upon

Closed by  Sergej Pupykin (sergej)
Friday, 22 March 2013, 11:35 GMT
Reason for closing:  Fixed